# $Revision: 1.18 $, $Date: 2002/08/07 14:06:21 $
%include	/usr/lib/rpm/macros.python

%define module PyXML

Summary:	Python/XML package
Summary(pl):	Pakiet Python/XML
Name:		python-%{module}
Version:	0.8
Release:	1
License:	BeOpen Python Open Source License
Vendor:		XML-SIG <xml-sig@python.org>
Group:		Libraries/Python
Source0:	http://prdownloads.sourceforge.net/pyxml/%{module}-%{version}.tar.gz
URL:		http://pyxml.sourceforge.net/
BuildRequires:	expat-devel >= 1.95.4
BuildRequires:	rpm-pythonprov
BuildRequires:	python >= 2.2.1
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PyXML package is a collection of libraries to process XML with
Python. It contains, among other things
- xmlproc: a validating XML parser.
- sgmlop: a C helper module that can speed-up xmllib.py and sgmllib.py
  by a factor of 5.
- PySAX: SAX 1 and SAX2 libraries with drivers for most of the
  parsers.
- 4DOM: A fully compliant DOM Level 2 implementation
- javadom: An adapter from Java DOM implementations to the standard
  Python DOM binding.
- pulldom: a DOM implementation that supports lazy instantiation of
  nodes.
- marshal: a module with several options for serializing Python
  objects to XML, including WDDX and XML-RPC.
- unicode: a helper module for Python 1.5 users who need conversions
  between UTF-8 and ISO-8859-?.

%description -l pl
Pakiet PyXML jest zestawem bibliotek do obsugi XML z poziomu Pythona.
Zawiera midzy innymi:
- xmlproc: parser sprawdzajcy poprawno XML
- sgmlp: pomocniczy modu w C przyspieszajcy dziaanie xmllib.py i
  sgmllib.py piciokrotnie
- PySAX: biblioteki SAX1 i SAX2 z driverami do wikszoci parserw
- 4DOM: w peni kompatybilna implementacja DOM Level 2
- javadom: adapter z implementacji DOM w Javie do standardowego DOM w
  Pythonie
- pulldom: implementacja DOM obsugujca leniwe tworzenie instancji
  wzw
- marshal: modu z rnymi opcjami do serializacji obiektw Pythona w
  XML, w tym WDDX i XML-RPC
- unicode: pomocniczy modu dla uytkownikw Pythona 1.5, ktrzy
  potrzebuj konwersji midzy UTF-8 a ISO-8859-?.

%package examples
Summary:	Examples of Python/XML
Summary(pl):	Przykady do Python/XML
Group:		Development/Languages/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}

%description examples
Examples of Python/XML.

%description examples -l pl
Przykady do Python/XML.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CLFAGS
python setup.py build --with-libexpat=%{_prefix} --ldflags=-lexpat

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_examplesdir}/%{name}

python setup.py install \
	--root=$RPM_BUILD_ROOT --optimize=2

find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

cp -a demo $RPM_BUILD_ROOT/%{_examplesdir}/%{name}

gzip -9fn ANNOUNCE CREDITS LICENCE README README.dom README.pyexpat README.sgmlop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz doc test
%{py_sitedir}/_xmlplus
%attr(755,root,root) %{_bindir}/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-PyXML.spec,v $
Revision 1.18  2002/08/07 14:06:21  wiget
- updated to 0.8

Revision 1.17  2002/04/13 17:34:01  kloczek
- rebuild against pythin 2.2.1.

Revision 1.16  2002/04/11 13:55:33  wrobell
- rel. 5, stb

Revision 1.15  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.14  2002/03/18 07:18:52  wrobell
- main package group changed to Libraries/Python and examples subpackage
  group changed to Development/Languages/Python
- rel. 4
- stb

Revision 1.13  2002/03/06 16:06:40  wrobell
- install byte compiled modules
- do not include *.py files in %{py_sitedir} and subdirectories
- fixed build and install requirements
- license field updated
- group changed to more apropriate
- cosmetics
- rel. 3

Revision 1.12  2002/03/05 18:16:53  filon
- updated to 0.7

Revision 1.11  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/06 09:05:10  kloczek
- adapterized.

Revision 1.9  2002/02/03 23:43:15  kloczek
- release 2: rebuild against python 2.2.

Revision 1.8  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/24 01:35:29  kloczek
- cosmetics.

Revision 1.6  2001/11/12 09:43:01  qboosh
- pl translations, BuildRequires: rpm-pythonprov

Revision 1.5  2001/11/11 19:13:30  wrobell
- fixed requirements

Revision 1.4  2001/11/11 19:07:13  wrobell
- use standard python macros

Revision 1.3  2001/10/19 15:55:26  jajcus
- Version: 0.6.6
- License: Python
- fixed homepage and source URL (now it is on sourceforge)

Revision 1.2  2001/05/21 17:03:19  wiget
first part of rewrite
